org.apache.tinkerpop.gremlin.process.traversal.dsl

## Class GremlinDslProcessor

- java.lang.Object
- - javax.annotation.processing.AbstractProcessor
  - - org.apache.tinkerpop.gremlin.process.traversal.dsl.GremlinDslProcessor

- All Implemented Interfaces:
    Processor

      @SupportedAnnotationTypes(value="org.apache.tinkerpop.gremlin.process.traversal.dsl.GremlinDsl")
       @SupportedSourceVersion(value=RELEASE_8)
      public class GremlinDslProcessor
      extends AbstractProcessor

  A custom Java annotation processor for the `GremlinDsl` annotation that helps to generate DSLs classes.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class javax.annotation.processing.AbstractProcessor

      `processingEnv`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinDslProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(ProcessingEnvironment processingEnv)`
    `boolean` | `process(Set<? extends TypeElement> annotations, RoundEnvironment roundEnv)`

    - ### Methods inherited from class javax.annotation.processing.AbstractProcessor

      `getCompletions, getSupportedAnnotationTypes, getSupportedOptions, getSupportedSourceVersion, isInitialized`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GremlinDslProcessor

          public GremlinDslProcessor()

  - ### Method Detail

    - #### init

          public void init(ProcessingEnvironment processingEnv)

      Specified by:
        `init` in interface `Processor`
      Overrides:
        `init` in class `AbstractProcessor`

    - #### process

          public boolean process(Set<? extends TypeElement> annotations,
                                 RoundEnvironment roundEnv)

      Specified by:
        `process` in interface `Processor`
      Specified by:
        `process` in class `AbstractProcessor`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.